## okular 22.08.1

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.16)

# KDE Application Version, managed by release script
set (RELEASE_SERVICE_VERSION_MAJOR "22")
set (RELEASE_SERVICE_VERSION_MINOR "08")
set (RELEASE_SERVICE_VERSION_MICRO "1")
set (RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")

project(okular VERSION ${RELEASE_SERVICE_VERSION})

set(QT_REQUIRED_VERSION "5.12.0") # Remember to update the QT_DEPRECATED_WARNINGS_SINCE below
set(KF5_REQUIRED_VERSION "5.68.0") # Remember to update the KF_DEPRECATED_WARNINGS_SINCE below

set(OKULAR_UI "" CACHE STRING "Which Okular user interface to build. Possible values: desktop, mobile, both. Default: desktop (except on Android, where it is 'mobile')")

option(FORCE_NOT_REQUIRED_DEPENDENCIES "List (semicolon-separated) of dependencies that will be downgraded from REQUIRED to RECOMMENDED")

if (ANDROID AND (NOT FORCE_NOT_REQUIRED_DEPENDENCIES) AND (NOT FORCE_NOT_REQUIRED_DEPENDENCIES STREQUAL ""))
    set(FORCE_NOT_REQUIRED_DEPENDENCIES "KF5Wallet;KF5DocTools;KF5JS;TIFF;JPEG;LibSpectre;KF5KExiv2;CHM;KF5KHtml;LibZip;DjVuLibre;EPub;Discount;")
endif()

function(set_okular_optional_package_properties _name _props)
    if(NOT "${_props}" STREQUAL "PROPERTIES")
        message(FATAL_ERROR "PROPERTIES keyword is missing in set_okular_optional_package_properties() call.")
    endif()

    set(options) # none
    set(oneValueArgs DESCRIPTION URL PURPOSE)
    set(multiValueArgs) # none

    CMAKE_PARSE_ARGUMENTS(_SPP "${options}" "${oneValueArgs}" "${multiValueArgs}"  ${ARGN})

    if(_SPP_UNPARSED_ARGUMENTS)
        message(FATAL_ERROR "Unknown keywords given to set_okular_optional_package_properties(): \"${_SPP_UNPARSED_ARGUMENTS}\"")
    endif()

    set(DEPENDENCY_TYPE "REQUIRED")
    if (${_name} IN_LIST FORCE_NOT_REQUIRED_DEPENDENCIES)
        set(DEPENDENCY_TYPE "RECOMMENDED")
    endif()
    set_package_properties(${_name} PROPERTIES
        TYPE ${DEPENDENCY_TYPE}
        DESCRIPTION ${_SPP_DESCRIPTION}
        URL ${_SPP_URL}
        PURPOSE "${_SPP_PURPOSE} You can make the dependency optional adding ${_name} to the FORCE_NOT_REQUIRED_DEPENDENCIES cmake option"
    )
endfunction()

if(OKULAR_UI STREQUAL "")
    if(ANDROID)
        set(OKULAR_UI "mobile")
    else()
        set(OKULAR_UI "desktop")
    endif()
endif()

if(OKULAR_UI STREQUAL "desktop" OR OKULAR_UI STREQUAL "both")
    set(BUILD_DESKTOP ON)
else()
    set(BUILD_DESKTOP OFF)
endif()
if(OKULAR_UI STREQUAL "mobile" OR OKULAR_UI STREQUAL "both")
    set(BUILD_MOBILE ON)
else()
    set(BUILD_MOBILE OFF)
endif()

if (BUILD_MOBILE)
    set(QT_REQUIRED_VERSION "5.15.2")
endif()

find_package(ECM ${KF5_REQUIRED_VERSION} CONFIG REQUIRED)
set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} ${ECM_MODULE_PATH})

include(ECMInstallIcons)
include(ECMSetupVersion)
include(ECMOptionalAddSubdirectory)
include(GenerateExportHeader)
include(FeatureSummary)
include(ECMAddAppIcon)
include(KDECompilerSettings NO_POLICY_SCOPE)
include(KDEInstallDirs)
include(KDECMakeSettings)
include(ECMAddTests)
include(ECMAddAppIcon)
include(CMakePackageConfigHelpers)
include(ECMSetupQtPluginMacroNames)

# append the plugins from the install tree folder to the QT_PLUGIN_PATH
if(UNIX)
    set(ENV{QT_PLUGIN_PATH} "$ENV{QT_PLUGIN_PATH}:${KDE_INSTALL_FULL_QTPLUGINDIR}")
elseif(WIN32)
    set(ENV{QT_PLUGIN_PATH} "$ENV{QT_PLUGIN_PATH};${KDE_INSTALL_FULL_QTPLUGINDIR}")
endif()

set(CMAKE_CXX_STANDARD 14)
set(CMAKE_CXX_STANDARD_REQUIRED ON)
set(CMAKE_CXX_EXTENSIONS OFF)

ecm_setup_version(${PROJECT_VERSION}
                  VARIABLE_PREFIX OKULAR
                  VERSION_HEADER "${CMAKE_CURRENT_BINARY_DIR}/core/version.h"
                  PACKAGE_VERSION_FILE "${CMAKE_CURRENT_BINARY_DIR}/Okular5ConfigVersion.cmake")

find_package(Qt5 ${QT_REQUIRED_VERSION} CONFIG REQUIRED COMPONENTS Core Test Widgets PrintSupport Svg Qml Quick)

if(ANDROID)
    find_package(Qt5 ${QT_REQUIRED_VERSION} CONFIG REQUIRED COMPONENTS AndroidExtras)
endif()

ecm_setup_qtplugin_macro_names(
    JSON_ARG2
        "OKULAR_EXPORT_PLUGIN"
    CONFIG_CODE_VARIABLE
        PACKAGE_SETUP_AUTOMOC_VARIABLES
)

find_package(KF5 ${KF5_REQUIRED_VERSION} REQUIRED COMPONENTS
    Archive
    Bookmarks
    Completion
    Config
    ConfigWidgets
    CoreAddons
    I18n
    KIO
    ThreadWeaver
    WindowSystem
)

find_package(KF5Wallet ${KF5_REQUIRED_VERSION})
set_okular_optional_package_properties(KF5Wallet PROPERTIES
    PURPOSE "Required for document storing passwords in secure wallets.")
if(KF5Wallet_FOUND)
    add_definitions(-DWITH_KWALLET=1)
endif()

find_package(KF5DocTools ${KF5_REQUIRED_VERSION})
set_okular_optional_package_properties(KF5DocTools PROPERTIES
    PURPOSE "Required for compiling and installing the user documentation.")

find_package(KF5JS ${KF5_REQUIRED_VERSION})
set_okular_optional_package_properties(KF5JS PROPERTIES
    PURPOSE "Required for supporting JavaScript in PDF documents")
if(KF5JS_FOUND)
    add_definitions(-DWITH_KJS=1)
endif()

if (BUILD_DESKTOP)
    find_package(Qt5 ${QT_REQUIRED_VERSION} CONFIG REQUIRED COMPONENTS DBus)
    find_package(KF5 ${KF5_REQUIRED_VERSION} REQUIRED COMPONENTS Parts Crash IconThemes TextWidgets)

    find_package(KF5Purpose)
    set_okular_optional_package_properties(KF5Purpose PROPERTIES
        DESCRIPTION "A framework for services and actions integration"
        PURPOSE "Required for enabling the share menu.")
    if (KF5Purpose_FOUND)
        set(PURPOSE_FOUND 1)
    else()
        set(PURPOSE_FOUND 0)
    endif()

    find_package(Qt5TextToSpeech ${QT_REQUIRED_VERSION} CONFIG)
    set_okular_optional_package_properties(Qt5TextToSpeech PROPERTIES
        PURPOSE "Enables speech features.")
    if (Qt5TextToSpeech_FOUND)
        add_definitions(-DHAVE_SPEECH)
    endif()
endif()

if (BUILD_MOBILE)
    find_package(KF5Kirigami2)
    set_package_properties(KF5Kirigami2 PROPERTIES
        DESCRIPTION "A QtQuick based components set"
        PURPOSE "Required at runtime by the mobile app"
        TYPE RUNTIME
    )
endif()

if(NOT WIN32 AND NOT ANDROID)
    find_package(KF5 ${KF5_REQUIRED_VERSION} REQUIRED COMPONENTS
        Activities
    )
    set_package_properties("KF5Activities" PROPERTIES
        DESCRIPTION  "Activities interface library"
        URL "https://api.kde.org/frameworks/kactivities/html/"
        PURPOSE "Required for Activities integration.")
endif()
find_package(Phonon4Qt5 CONFIG REQUIRED)

set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} ${CMAKE_SOURCE_DIR}/cmake/modules)

find_package(ZLIB REQUIRED)

find_package(Poppler "0.86.0" COMPONENTS Qt5)
set_okular_optional_package_properties(Poppler PROPERTIES
        PURPOSE "Support for PDF files in okular.")

find_package(Freetype)
set_okular_optional_package_properties(Freetype PROPERTIES
        DESCRIPTION  "A font rendering engine"
        URL "https://www.freetype.org"
        PURPOSE "Provides freetype font support in the okular DVI generator.")

find_package(TIFF)
set_okular_optional_package_properties(TIFF PROPERTIES
        DESCRIPTION  "A library for reading and writing TIFF formatted files,"
        URL "http://www.libtiff.org"
        PURPOSE "Support for TIFF files in okular.")

find_package(JPEG)
set_okular_optional_package_properties(JPEG PROPERTIES
        DESCRIPTION  "A library for reading and writing JPEG image files."
        URL "https://www.ijg.org"
        PURPOSE "Support for PalmDB documents in okular.")

set(LIBSPECTRE_MINIMUM_VERSION "0.2")
find_package(LibSpectre "${LIBSPECTRE_MINIMUM_VERSION}")
set_okular_optional_package_properties(LibSpectre PROPERTIES
        DESCRIPTION  "A PostScript rendering library"
        URL "https://libspectre.freedesktop.org"
        PURPOSE "Support for PS files in okular.")

find_package(KF5KExiv2 CONFIG)
set_okular_optional_package_properties(KF5KExiv2 PROPERTIES
        DESCRIPTION  "Wrapper around Exiv2 library"
        URL "https://commits.kde.org/libkexiv2"
        PURPOSE "Support for exif rotation in image files.")

find_package(CHM)
set_okular_optional_package_properties(CHM PROPERTIES
        DESCRIPTION  "A library for dealing with Microsoft ITSS/CHM format files"
        URL "http://www.jedrea.com/chmlib"
        PURPOSE "Support CHM files in okular.")

find_package(KF5KHtml CONFIG)
set_okular_optional_package_properties(KF5KHtml PROPERTIES
        DESCRIPTION "HTML rendering library"
        PURPOSE "Support CHM files in okular.")

find_package(LibZip)
set_okular_optional_package_properties(LibZip PROPERTIES
        DESCRIPTION  "A library for reading, creating, and modifying zip archives"
        URL "https://libzip.org/"
        PURPOSE "Support CHM files in okular.")

find_package(DjVuLibre "3.5.17")
set_okular_optional_package_properties(DjVuLibre PROPERTIES
        DESCRIPTION  "A library for dealing with DjVu formatted files"
        URL "https://djvulibre.djvuzone.org"
        PURPOSE "Support for DjVu files in okular.")

find_package(EPub)
set_okular_optional_package_properties(EPub PROPERTIES
        DESCRIPTION  "A library for reading EPub documents"
        URL "http://sourceforge.net/projects/ebook-tools"
        PURPOSE "Support for EPub documents in Okular.")

find_package(QMobipocket "2" CONFIG)
set_okular_optional_package_properties(QMobipocket PROPERTIES
        DESCRIPTION  "A library for reading Mobipocket documents"
        URL "https://commits.kde.org/kdegraphics-mobipocket"
        PURPOSE "Support for Mobipocket documents in Okular.")

find_package(Discount)
set_okular_optional_package_properties(Discount PROPERTIES
        DESCRIPTION "A library that gives you formatting functions suitable for marking down entire documents or lines of text"
        URL "https://www.pell.portland.or.us/~orc/Code/discount/"
        PURPOSE "Support for Markdown documents in Okular.")

add_definitions(-DQT_USE_QSTRINGBUILDER)
add_definitions(-DTRANSLATION_DOMAIN="okular")
add_definitions(-DQT_NO_URL_CAST_FROM_STRING)
add_definitions(-DQT_NO_CAST_FROM_ASCII)
add_definitions(-DQT_NO_CAST_FROM_BYTEARRAY)
add_definitions(-DQT_NO_CAST_TO_ASCII)
add_definitions(-DQT_DEPRECATED_WARNINGS_SINCE=0x050C00)
add_definitions(-DKF_DEPRECATED_WARNINGS_SINCE=0x054400)
add_definitions(-DQT_NO_KEYWORDS)

include_directories(${CMAKE_CURRENT_SOURCE_DIR} ${PHONON_INCLUDES} core/synctex ${CMAKE_BINARY_DIR}/core)

if(BUILD_MOBILE AND KF5Kirigami2_VERSION VERSION_LESS "5.85")
    message(FATAL_ERROR "Disable mobile build. This requires Kirigami 5.85 or greater.")
    set(BUILD_MOBILE OFF)
endif()

option(BUILD_COVERAGE "Build the project with gcov support" OFF)

if(BUILD_COVERAGE)
    set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -fprofile-arcs -ftest-coverage")
    set(CMAKE_EXE_LINKER_FLAGS "${CMAKE_EXE_LINKER_FLAGS} -lgcov")
endif()

add_subdirectory( icons ) # an own directory for multi-size icons retrieved by KIconThemeLoader
add_subdirectory( part )
if(BUILD_DESKTOP)
    add_subdirectory( shell )
endif()
add_subdirectory( generators )

if(BUILD_MOBILE)
    add_subdirectory( mobile )
endif()

if(BUILD_TESTING)
   add_subdirectory( autotests )
endif()

if(KF5DocTools_FOUND)
    add_subdirectory(doc)
endif()

include(OkularConfigureChecks.cmake)

if(NOT WIN32)
 set(MATH_LIB m)
else(NOT WIN32)
 set(MATH_LIB)
endif(NOT WIN32)

# okularcore

set(okularcore_SRCS
   core/action.cpp
   core/annotations.cpp
   core/area.cpp
   core/audioplayer.cpp
   core/bookmarkmanager.cpp
   core/chooseenginedialog.cpp
   core/document.cpp
   core/documentcommands.cpp
   core/fontinfo.cpp
   core/form.cpp
   core/generator.cpp
   core/generator_p.cpp
   core/misc.cpp
   core/movie.cpp
   core/observer.cpp
   core/debug.cpp
   core/page.cpp
   core/pagecontroller.cpp
   core/pagesize.cpp
   core/pagetransition.cpp
   core/rotationjob.cpp
   core/scripter.cpp
   core/sound.cpp
   core/sourcereference.cpp
   core/textdocumentgenerator.cpp
   core/textdocumentsettings.cpp
   core/textpage.cpp
   core/tilesmanager.cpp
   core/utils.cpp
   core/view.cpp

=== debian/changelog ===
okular (4:22.08.1-0ubuntu1) kinetic; urgency=medium

  * New upstream release (22.08.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 08 Sep 2022 07:48:47 +0100

okular (4:22.08.0-0ubuntu1) kinetic; urgency=medium

  * New upstream release (22.08.0)

 -- Rik Mills <rikmills@kde.org>  Wed, 24 Aug 2022 09:57:56 +0100

okular (4:22.04.3-1ubuntu1) kinetic; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - Kubuntu Vcs and maintainer fields.
    - Recommend extra backends and qtspeech plugin.
    - Kubuntu breaks/replaces versions.

 -- Rik Mills <rikmills@kde.org>  Tue, 12 Jul 2022 08:42:37 +0100

okular (4:22.04.3-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Update lintian overrides.

 -- Pino Toscano <pino@debian.org>  Tue, 12 Jul 2022 05:35:11 +0200

okular (4:22.04.3-0ubuntu1) kinetic; urgency=medium

  * New upstream release (22.04.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 07 Jul 2022 09:36:02 +0100

okular (4:22.04.2-2ubuntu1) kinetic; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - Kubuntu Vcs and maintainer fields.
    - Recommend extra backends and qtspeech plugin.
    - Kubuntu breaks/replaces versions.

 -- Rik Mills <rikmills@kde.org>  Thu, 07 Jul 2022 07:39:01 +0100

okular (4:22.04.2-2) unstable; urgency=medium

  * Team upload.
  * Release to unstable.

 -- Pino Toscano <pino@debian.org>  Wed, 06 Jul 2022 14:27:35 +0200

okular (4:22.04.2-1) experimental; urgency=medium

  * Team upload.
  * New upstream release.

 -- Pino Toscano <pino@debian.org>  Fri, 10 Jun 2022 08:02:25 +0200

okular (4:22.04.2-0ubuntu1) kinetic; urgency=medium

  * New upstream release (22.04.2)

 -- Rik Mills <rikmills@kde.org>  Thu, 09 Jun 2022 08:10:45 +0100

okular (4:22.04.1-1) experimental; urgency=medium

  * Team upload.
  * New upstream release.
  * Bump Standards-Version to 4.6.1, no changes required.
  * Remove inactive Uploaders.
  * Update the build dependencies according to the upstream build system:
    - bump Qt packages to 5.15.2
    - add kirigami2-dev, explicitly needed for the mobile UI
  * Rename libokular5core9 to libokular5core10, according to the upstream
    SONAME bump.
  * Update install files.
  * Modernize building:
    - add the dh-sequence-kf5 build dependency to use the kf5 addon
      automatically, removing pkg-kde-tools
    - drop all the manually specified addons and buildsystem for dh

 -- Pino Toscano <pino@debian.org>  Thu, 09 Jun 2022 08:39:09 +0200

okular (4:22.04.1-0ubuntu1) kinetic; urgency=medium

  * New upstream release (22.04.0)
  * New build depend on kirigami2-dev
  * Rename core library according to upstream SONAME bump:
    - libokular5core9 -> libokular5core10
  * New upstream release (22.04.1)

 -- Rik Mills <rikmills@kde.org>  Wed, 11 May 2022 21:10:02 +0100

okular (4:21.12.3-2) unstable; urgency=medium

  * Rebuild with latest version of Poppler from unstable to enable support for
    PDF signatures. (Closes: #1008033)

 -- Aurélien COUDERC <coucouf@debian.org>  Mon, 21 Mar 2022 10:22:39 +0100

okular (4:21.12.3-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.

 -- Pino Toscano <pino@debian.org>  Sat, 05 Mar 2022 15:22:01 +0100

okular (4:21.12.2-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * CI: enable again blhc, as it works fine now with blhc 0.13.
  * Drop the dbgsym migration, no more needed after two Debian stable releases.

 -- Pino Toscano <pino@debian.org>  Sun, 27 Feb 2022 08:50:35 +0100

=== debian/control ===
Source: okular
Section: kde
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
Build-Depends: cmake (>= 3.16~),
               debhelper-compat (= 13),
               dh-sequence-kf5,
               extra-cmake-modules (>= 5.68.0~),
               gettext,
               kirigami2-dev (>= 5.85.0~),
               libchm-dev,
               libdjvulibre-dev (>= 3.5.17~),
               libepub-dev,
               libfreetype-dev,
               libjpeg-dev,
               libkf5activities-dev (>= 5.68.0~),
               libkf5archive-dev (>= 5.68.0~),
               libkf5bookmarks-dev (>= 5.68.0~),
               libkf5completion-dev (>= 5.68.0~),
               libkf5config-dev (>= 5.68.0~),
               libkf5configwidgets-dev (>= 5.68.0~),
               libkf5coreaddons-dev (>= 5.68.0~),
               libkf5crash-dev (>= 5.68.0~),
               libkf5doctools-dev (>= 5.68.0~),
               libkf5i18n-dev (>= 5.68.0~),
               libkf5iconthemes-dev (>= 5.68.0~),
               libkf5kexiv2-dev (>= 22.08.1~),
               libkf5khtml-dev (>= 5.68.0~),
               libkf5kio-dev (>= 5.68.0~),
               libkf5kjs-dev (>= 5.68.0~),
               libkf5parts-dev (>= 5.68.0~),
               libkf5pty-dev (>= 5.68.0~),
               libkf5purpose-dev (>= 5.68.0~),
               libkf5textwidgets-dev (>= 5.68.0~),
               libkf5threadweaver-dev (>= 5.68.0~),
               libkf5wallet-dev (>= 5.68.0~),
               libkf5windowsystem-dev (>= 5.68.0~),
               libmarkdown2-dev,
               libphonon4qt5-dev,
               libphonon4qt5experimental-dev,
               libpoppler-qt5-dev (>= 0.86.0~),
               libqca-qt5-2-dev (>= 2.1.0~),
               libqmobipocket-dev (>= 4:22.08.1~),
               libqt5svg5-dev (>= 5.13.0~),
               libqt5texttospeech5-dev (>= 5.12.0~),
               libspectre-dev (>= 0.2~),
               libtiff-dev,
               libzip-dev,
               pkg-config,
               qtbase5-dev (>= 5.15.2~),
               qtdeclarative5-dev (>= 5.15.2~),
               zlib1g-dev,
Standards-Version: 4.6.1
Rules-Requires-Root: no
Homepage: https://apps.kde.org/en/okular
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/okular
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/okular

Package: libokular5core10
Section: libs
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: libraries for the Okular document viewer
 This package contains libraries used by the Okular document viewer.
 .
 This package is part of the KDE graphics module.

Package: okular
Section: graphics
Architecture: any
Depends: kinit, ${misc:Depends}, ${shlibs:Depends}
Recommends: cups-bsd, okular-extra-backends, qtspeech5-flite-plugin
Suggests: ghostscript,
          okular-extra-backends (= ${binary:Version}),
          poppler-data,
          texlive-binaries,
          unrar,
Provides: pdf-viewer, postscript-viewer
Breaks: kdegraphics-mobipocket (<< 4:4.12),
        okular-extra-backends (<< 4:16.12.0),
        okular-mobile (<< 4:17.04.1-0),
Replaces: okular-extra-backends (<< 4:16.12.0), okular-mobile (<< 4:17.04.1-0)
Description: universal document viewer
 Okular is a universal document viewer with support for advanced document
 features, such as annotations, forms, and embedded files.
 .
 This package provides the document viewer application, plus plugins for a wide
 variety of document formats such as:
  * PostScript (PS)
  * Portable Document Format (PDF)
  * TeX Device independent file format (DVI)
  * XML Paper Specification (XPS)
  * G3 fax
  * various electronic book formats: ComicBook, FictionBook, and Plucker
 .
 Additional document formats are in the okular-extra-backends package.
 .
 The Calligra suite provides Okular plugins for OpenDocument formats that can
 be found in the okular-backend-odt and okular-backend-odp packages.
 .
 This package is part of the KDE graphics module.

Package: okular-dev
Section: libdevel
Architecture: any
Depends: libkf5config-dev (>= 5.68.0~),
         libkf5coreaddons-dev (>= 5.68.0~),
         libkf5xmlgui-dev (>= 5.68.0~),
         libokular5core10 (= ${binary:Version}),
         qtbase5-dev (>= 5.13.0~),
         ${misc:Depends},
Description: development files for the Okular libraries
 This package contains development files for building Okular document format
 backends.
 .
 This package is part of the KDE graphics module.

Package: okular-extra-backends
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Recommends: okular
Provides: djvu-viewer
Breaks: okular (<< 4:20.08.0-1~)
Replaces: okular (<< 4:20.08.0-1~)
Description: additional document format support for Okular
 These plugins allow Okular to view additional document formats:
  * DeJaVu Format
  * TIFF Image Format
  * Microsoft CHM Format
  * EPUB
  * Markdown
 .
 This package is part of the KDE graphics module.

Package: qml-module-org-kde-okular
Architecture: any
Depends: qml-module-org-kde-kirigami2 (>= 5.68.0~),
         qml-module-qtgraphicaleffects (>= 5.12.0~),
         qml-module-qtquick-controls2 (>= 5.12.0~),
         qml-module-qtquick2 (>= 5.12.0~),
         ${misc:Depends},
         ${shlibs:Depends},
Breaks: okular (<< 4:17.12.2~)
Replaces: okular (<< 4:17.12.2~)
Description: mobile support for Okular - QML modules
 This package contains the QML module for interfacing with the Okular core
 library.
 .
 This package is part of the KDE graphics module.

Package: okular-mobile
Architecture: any
Depends: qml-module-org-kde-kirigami2 (>= 5.68.0~),
         qml-module-org-kde-kquickcontrolsaddons (>= 5.68.0~),
         qml-module-org-kde-okular (= ${binary:Version}),
         qml-module-qtgraphicaleffects (>= 5.12.0~),
         qml-module-qtquick-controls2 (>= 5.12.0~),
         qml-module-qtquick-dialogs (>= 5.12.0~),
         qml-module-qtquick-layouts (>= 5.12.0~),
         qml-module-qtquick2 (>= 5.12.0~),
         ${misc:Depends},
         ${shlibs:Depends},
Suggests: ghostscript,
          okular-extra-backends (= ${binary:Version}),
          poppler-data,
          texlive-binaries,
          unrar,
Recommends: okular
Description: mobile support for Okular
 These plugins allow Okular to view additional document formats for mobile:
  * Portable Document Format (PDF)
  * PostScript
  * Device Independent Format (DVI)
  * DeJaVu Format
  * Comic Books
  * Images (JPEG, PNG, GIF, and many more)
  * TIFF Image Format
  * FictionBook Format
  * Plucker Format
  * OpenDocument Text Format
  * Microsofts CHM Format
  * Microsofts XML Document Format
 .
 This package is part of the KDE graphics module.

## okular 22.12.3

=== CMakeLists.txt ===
--- 
+++ 
@@ -2,8 +2,8 @@
 
 # KDE Application Version, managed by release script
 set (RELEASE_SERVICE_VERSION_MAJOR "22")
-set (RELEASE_SERVICE_VERSION_MINOR "08")
-set (RELEASE_SERVICE_VERSION_MICRO "1")
+set (RELEASE_SERVICE_VERSION_MINOR "12")
+set (RELEASE_SERVICE_VERSION_MICRO "3")
 set (RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")
 
 project(okular VERSION ${RELEASE_SERVICE_VERSION})
@@ -177,7 +177,7 @@
     )
 endif()
 
-if(NOT WIN32 AND NOT ANDROID)
+if(NOT WIN32 AND NOT ANDROID AND NOT APPLE)
     find_package(KF5 ${KF5_REQUIRED_VERSION} REQUIRED COMPONENTS
         Activities
     )
@@ -351,4 +351,3 @@
    core/textpage.cpp
    core/tilesmanager.cpp
    core/utils.cpp
-   core/view.cpp

=== generators/chm/CMakeLists.txt ===
remove_definitions(-DTRANSLATION_DOMAIN="okular")
add_definitions(-DTRANSLATION_DOMAIN="okular_chm")

add_subdirectory( kio-msits )

########### next target ###############

set(okularGenerator_chmlib_SRCS
   lib/ebook_chm.cpp
   lib/ebook_epub.cpp
   lib/ebook.cpp
   lib/ebook_chm_encoding.cpp
   lib/ebook_search.cpp
   lib/helper_entitydecoder.cpp
   lib/helper_search_index.cpp
   lib/helperxmlhandler_epubcontainer.cpp
   lib/helperxmlhandler_epubcontent.cpp
   lib/helperxmlhandler_epubtoc.cpp
   generator_chm.cpp
)

okular_add_generator(okularGenerator_chmlib ${okularGenerator_chmlib_SRCS})
target_include_directories(okularGenerator_chmlib PRIVATE ${CHM_INCLUDE_DIR} ${LIBZIP_INCLUDE_DIR})
target_link_libraries(okularGenerator_chmlib  okularcore ${CHM_LIBRARY} ${LIBZIP_LIBRARY} KF5::KHtml)

########### autotests ###############

add_definitions( -DKDESRCDIR="${CMAKE_CURRENT_SOURCE_DIR}/" )
ecm_add_test(autotests/chmgeneratortest.cpp
    TEST_NAME "chmgeneratortest"
    LINK_LIBRARIES Qt5::Test KF5::CoreAddons okularcore
)

target_compile_definitions(chmgeneratortest PRIVATE -DGENERATOR_PATH="$<TARGET_FILE:okularGenerator_chmlib>")

########### install files ###############
install( FILES okularChm.desktop  DESTINATION  ${KDE_INSTALL_KSERVICES5DIR} )
install( PROGRAMS okularApplication_chm.desktop org.kde.mobile.okular_chm.desktop  DESTINATION  ${KDE_INSTALL_APPDIR} )
install( FILES org.kde.okular-chm.metainfo.xml DESTINATION ${KDE_INSTALL_METAINFODIR} )

=== generators/comicbook/CMakeLists.txt ===
remove_definitions(-DTRANSLATION_DOMAIN="okular")
add_definitions(-DTRANSLATION_DOMAIN="okular_comicbook")

########### next target ###############

set( okularGenerator_comicbook_PART_SRCS
     document.cpp
     directory.cpp
     unrar.cpp qnatsort.cpp
     unrarflavours.cpp
   )

add_library(okular_comicbook STATIC ${okularGenerator_comicbook_PART_SRCS})
target_link_libraries(okular_comicbook okularcore KF5::I18n KF5::Archive)

okular_add_generator(okularGenerator_comicbook generator_comicbook.cpp)
target_link_libraries(okularGenerator_comicbook okular_comicbook)
if (UNIX AND NOT ANDROID)
   find_package(KF5Pty REQUIRED)
   target_compile_definitions(okular_comicbook PRIVATE -DWITH_KPTY=1)
   target_link_libraries(okular_comicbook KF5::Pty)
endif ()

if (KArchive_HAVE_LZMA)
    target_compile_definitions(okular_comicbook PRIVATE -DWITH_K7ZIP=1)
endif()

########### autotests ###############

add_definitions( -DKDESRCDIR="${CMAKE_CURRENT_SOURCE_DIR}/" )
ecm_add_test(autotests/comicbooktest.cpp
    TEST_NAME "comicbooktest"
    LINK_LIBRARIES Qt5::Test KF5::CoreAddons okularcore okular_comicbook
)

########### install files ###############
install( FILES okularComicbook.desktop  DESTINATION  ${KDE_INSTALL_KSERVICES5DIR} )
install( PROGRAMS okularApplication_comicbook.desktop org.kde.mobile.okular_comicbook.desktop  DESTINATION  ${KDE_INSTALL_APPDIR} )
install( FILES org.kde.okular-comicbook.metainfo.xml DESTINATION ${KDE_INSTALL_METAINFODIR} )

=== generators/fax/CMakeLists.txt ===
remove_definitions(-DTRANSLATION_DOMAIN="okular")
add_definitions(-DTRANSLATION_DOMAIN="okular_fax")

########### next target ###############

set(okularGenerator_fax_PART_SRCS generator_fax.cpp faxdocument.cpp faxexpand.cpp faxinit.cpp fax_debug.cpp)

okular_add_generator(okularGenerator_fax ${okularGenerator_fax_PART_SRCS})

target_link_libraries(okularGenerator_fax okularcore KF5::I18n Qt5::Xml)

########### install files ###############
install( FILES okularFax.desktop  DESTINATION  ${KDE_INSTALL_KSERVICES5DIR} )
install( PROGRAMS okularApplication_fax.desktop org.kde.mobile.okular_fax.desktop  DESTINATION  ${KDE_INSTALL_APPDIR} )
install( FILES org.kde.okular-fax.metainfo.xml DESTINATION ${KDE_INSTALL_METAINFODIR} )

=== generators/poppler/CMakeLists.txt ===
remove_definitions(-DTRANSLATION_DOMAIN="okular")
add_definitions(-DTRANSLATION_DOMAIN="okular_poppler")

add_subdirectory( conf )

set(CMAKE_REQUIRED_LIBRARIES Poppler::Qt5 Qt5::Core Qt5::Gui)

include_directories(
   ${CMAKE_CURRENT_SOURCE_DIR}/../..
)

########### next target ###############

set(okularGenerator_poppler_PART_SRCS
   generator_pdf.cpp
   formfields.cpp
   annots.cpp
   pdfsignatureutils.cpp
   pdfsettingswidget.cpp
)

ki18n_wrap_ui(okularGenerator_poppler_PART_SRCS
   conf/pdfsettingswidget.ui
)

kconfig_add_kcfg_files(okularGenerator_poppler_PART_SRCS GENERATE_MOC conf/pdfsettings.kcfgc )

okular_add_generator(okularGenerator_poppler ${okularGenerator_poppler_PART_SRCS})

target_link_libraries(okularGenerator_poppler okularcore KF5::I18n KF5::Completion KF5::KIOWidgets Poppler::Qt5 Qt5::Xml)

########### install files ###############
install( FILES okularPoppler.desktop  DESTINATION  ${KDE_INSTALL_KSERVICES5DIR} )
install( PROGRAMS okularApplication_pdf.desktop org.kde.mobile.okular_pdf.desktop  DESTINATION  ${KDE_INSTALL_APPDIR} )
install( FILES org.kde.okular-poppler.metainfo.xml DESTINATION ${KDE_INSTALL_METAINFODIR} )

=== debian/changelog ===
okular (4:22.12.3-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (22.12.3).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Wed, 01 Mar 2023 11:58:25 +0100

okular (4:22.12.1-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (22.12.1).
  * Add/update Albert Astals Cid’s master key in upstream signing keys.

 -- Aurélien COUDERC <coucouf@debian.org>  Sat, 07 Jan 2023 00:07:02 +0100

okular (4:22.12.0-2) unstable; urgency=medium

  * Team upload.
  * Add missing dependency to okular-dev, so the cmake config files work:
    qtbase5-private-dev. (Closes: #1027504)
  * Update standards version to 4.6.2, no changes needed.
  * Remove breaks/replaces for versions older than oldstable.

 -- Pino Toscano <pino@debian.org>  Sun, 01 Jan 2023 18:02:28 +0100

okular (4:22.12.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (22.11.90).
  * Update build-deps and deps with the info from cmake.
  * New upstream release (22.12.0).
  * Review copyright information.
  * Add old lintian syntax for the sourceless CHM test file, ftp-master
    runs lintian from stable.

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 11 Dec 2022 23:06:47 +0100

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: okular
 Section: kde
 Priority: optional
-Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
 Build-Depends: cmake (>= 3.16~),
                debhelper-compat (= 13),
@@ -26,7 +25,7 @@
                libkf5doctools-dev (>= 5.68.0~),
                libkf5i18n-dev (>= 5.68.0~),
                libkf5iconthemes-dev (>= 5.68.0~),
-               libkf5kexiv2-dev (>= 22.08.1~),
+               libkf5kexiv2-dev (>= 5.68.0~),
                libkf5khtml-dev (>= 5.68.0~),
                libkf5kio-dev (>= 5.68.0~),
                libkf5kjs-dev (>= 5.68.0~),
@@ -42,26 +41,27 @@
                libphonon4qt5experimental-dev,
                libpoppler-qt5-dev (>= 0.86.0~),
                libqca-qt5-2-dev (>= 2.1.0~),
-               libqmobipocket-dev (>= 4:22.08.1~),
-               libqt5svg5-dev (>= 5.13.0~),
+               libqmobipocket-dev (>= 4:17.08~),
+               libqt5svg5-dev (>= 5.15.2~),
                libqt5texttospeech5-dev (>= 5.12.0~),
                libspectre-dev (>= 0.2~),
                libtiff-dev,
                libzip-dev,
                pkg-config,
                qtbase5-dev (>= 5.15.2~),
+               qtbase5-private-dev,
                qtdeclarative5-dev (>= 5.15.2~),
                zlib1g-dev,
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Homepage: https://apps.kde.org/en/okular
-Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/okular
-Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/okular
+Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/okular.git
+Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/okular
 
 Package: libokular5core10
 Section: libs
 Architecture: any
-Depends: ${misc:Depends}, ${shlibs:Depends}
+Depends: ${misc:Depends}, ${shlibs:Depends},
 Description: libraries for the Okular document viewer
  This package contains libraries used by the Okular document viewer.
  .
@@ -70,18 +70,14 @@
 Package: okular
 Section: graphics
 Architecture: any
-Depends: kinit, ${misc:Depends}, ${shlibs:Depends}
-Recommends: cups-bsd, okular-extra-backends, qtspeech5-flite-plugin
+Depends: kinit, ${misc:Depends}, ${shlibs:Depends},
+Recommends: cups-bsd,
 Suggests: ghostscript,
           okular-extra-backends (= ${binary:Version}),
           poppler-data,
           texlive-binaries,
           unrar,
-Provides: pdf-viewer, postscript-viewer
-Breaks: kdegraphics-mobipocket (<< 4:4.12),
-        okular-extra-backends (<< 4:16.12.0),
-        okular-mobile (<< 4:17.04.1-0),
-Replaces: okular-extra-backends (<< 4:16.12.0), okular-mobile (<< 4:17.04.1-0)
+Provides: pdf-viewer, postscript-viewer,
 Description: universal document viewer
  Okular is a universal document viewer with support for advanced document
  features, such as annotations, forms, and embedded files.
@@ -109,7 +105,8 @@
          libkf5coreaddons-dev (>= 5.68.0~),
          libkf5xmlgui-dev (>= 5.68.0~),
          libokular5core10 (= ${binary:Version}),
-         qtbase5-dev (>= 5.13.0~),
+         qtbase5-dev (>= 5.15.2~),
+         qtbase5-private-dev (>= 5.15.2~),
          ${misc:Depends},
 Description: development files for the Okular libraries
  This package contains development files for building Okular document format
@@ -119,11 +116,9 @@
 
 Package: okular-extra-backends
 Architecture: any
-Depends: ${misc:Depends}, ${shlibs:Depends}
-Recommends: okular
-Provides: djvu-viewer
-Breaks: okular (<< 4:20.08.0-1~)
-Replaces: okular (<< 4:20.08.0-1~)
+Depends: ${misc:Depends}, ${shlibs:Depends},
+Recommends: okular,
+Provides: djvu-viewer,
 Description: additional document format support for Okular
  These plugins allow Okular to view additional document formats:
   * DeJaVu Format
@@ -142,8 +137,6 @@
          qml-module-qtquick2 (>= 5.12.0~),
          ${misc:Depends},
          ${shlibs:Depends},
-Breaks: okular (<< 4:17.12.2~)
-Replaces: okular (<< 4:17.12.2~)
 Description: mobile support for Okular - QML modules
  This package contains the QML module for interfacing with the Okular core
  library.
@@ -167,7 +160,7 @@
           poppler-data,
           texlive-binaries,
           unrar,
-Recommends: okular
+Recommends: okular,
 Description: mobile support for Okular
  These plugins allow Okular to view additional document formats for mobile:
   * Portable Document Format (PDF)

## okular 23.08.1

=== generators/xps/CMakeLists.txt ===
remove_definitions(-DTRANSLATION_DOMAIN="okular")
add_definitions(-DTRANSLATION_DOMAIN="okular_xps")

########### next target ###############

set(okularGenerator_xps_SRCS
   generator_xps.cpp
)

okular_add_generator(okularGenerator_xps ${okularGenerator_xps_SRCS})

target_link_libraries(okularGenerator_xps okularcore KF5::Archive KF5::I18n Qt5::PrintSupport Qt5::Xml)

########### install files ###############
install( FILES okularXps.desktop  DESTINATION  ${KDE_INSTALL_KSERVICES5DIR} )
install( PROGRAMS okularApplication_xps.desktop org.kde.mobile.okular_xps.desktop  DESTINATION  ${KDE_INSTALL_APPDIR} )
install( FILES org.kde.okular-xps.metainfo.xml DESTINATION ${KDE_INSTALL_METAINFODIR} )

=== debian/changelog ===
okular (4:23.08.1-2) unstable; urgency=medium

  [ Patrick Franz ]
  * Team upload.
  * Upload to unstable.

 -- Patrick Franz <deltaone@debian.org>  Fri, 22 Sep 2023 19:24:18 +0200

okular (4:23.08.1-1) experimental; urgency=medium

  * Team upload.

  [ Jesse Rhodes ]
  * New upstream release (23.08.1).
  * Add build-dep on libqt5x11extras5-dev, required by cmake.
  * Bump libokular5core soname to 11 and update deps.

 -- Jesse Rhodes <jesse@sney.ca>  Thu, 21 Sep 2023 13:04:02 -0400

=== debian/control ===
--- 
+++ 
@@ -44,6 +44,7 @@
                libqmobipocket-dev (>= 4:17.08~),
                libqt5svg5-dev (>= 5.15.2~),
                libqt5texttospeech5-dev (>= 5.12.0~),
+               libqt5x11extras5-dev,
                libspectre-dev (>= 0.2~),
                libtiff-dev,
                libzip-dev,
@@ -58,7 +59,7 @@
 Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/okular.git
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/okular
 
-Package: libokular5core10
+Package: libokular5core11
 Section: libs
 Architecture: any
 Depends: ${misc:Depends}, ${shlibs:Depends},
@@ -104,7 +105,7 @@
 Depends: libkf5config-dev (>= 5.68.0~),
          libkf5coreaddons-dev (>= 5.68.0~),
          libkf5xmlgui-dev (>= 5.68.0~),
-         libokular5core10 (= ${binary:Version}),
+         libokular5core11 (= ${binary:Version}),
          qtbase5-dev (>= 5.15.2~),
          qtbase5-private-dev (>= 5.15.2~),
          ${misc:Depends},
